Air Quality
Air quality forecasts: an air quality index (AQI) that summarizes air pollution taking into account multiple components (carbon monoxide, nitrogen dioxide, ozone, sulfur dioxide and particulate matter). The forecast is based on observations and numerical modeling, resulting in AQI values calculated based on the United States EPA standard.
Get an API key OpenAPI spec for AI assistants
Full API reference — quickstart, authentication, request limits and attribution.
Air quality forecasts: an air quality index (AQI) that summarizes air pollution taking into account multiple components (carbon monoxide, nitrogen dioxide, ozone, sulfur dioxide and particulate matter). The forecast is based on observations and numerical modeling, resulting in AQI values calculated based on the United States EPA standard.
Endpoints
Hourly
Hourly air quality forecasts.
Path Parameters
locationType: stringrequired"Longitude, latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 24, maximum 85)
tzType: stringTime zone in response (IANA time zone database names)
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, cs, da, de, el, en, et, es, fa, fi, fr, hi, hr, hu, id, is, it, ja, ko, lt, lv, nl, no, pl, pt, ro, ru, sk, sr, sv, ta, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
/api/v1/air-quality/forecast/hourly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/air-quality/forecast/hourly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"time": "2022-02-03T10:00Z",
"pollutant": "Particulate matter <2.5um",
"pollutantPhrase": "Particulate matter <2.5 µm",
"AQI": 102,
"AQI_CO": 8,
"AQI_NO2": 6,
"AQI_O3": 24,
"AQI_SO2": 4,
"AQI_PM10": 64,
"AQI_PM2P5": 102
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2022-02-03T10:00Z",
"description": "ISO 8601 date and time"
},
"pollutant": {
"type": "string",
"example": "Particulate matter <2.5um",
"description": "Most significant pollution type (\"Carbon monoxide\", \"Nitrogen dioxide\", \"Ozone\", \"Particulate matter <10um\", \"Particulate matter <2.5um\", \"Sulphur dioxide\")"
},
"pollutantPhrase": {
"type": "string",
"example": "Particulate matter <2.5 µm",
"description": "Description of most significant pollution type in given language (e.g. \"Carbon monoxide\", \"Nitrogen dioxide\", \"Ozone\", \"Particulate matter <10 μm\", \"Particulate matter <2.5 μm\" or \"Sulphur dioxide\")"
},
"AQI": {
"type": "number",
"example": 102,
"description": "General AQI: lower is better"
},
"AQI_CO": {
"type": "number",
"example": 8,
"description": "AQI based on carbon monoxide"
},
"AQI_NO2": {
"type": "number",
"example": 6,
"description": "AQI based on nitrogen dioxide"
},
"AQI_O3": {
"type": "number",
"example": 24,
"description": "AQI based on ozone"
},
"AQI_SO2": {
"type": "number",
"example": 4,
"description": "AQI based on sulfur dioxide"
},
"AQI_PM10": {
"type": "number",
"example": 64,
"description": "AQI based on particulate matter (PM10)"
},
"AQI_PM2P5": {
"type": "number",
"example": 102,
"description": "AQI based on particulate matter (PM2.5)"
}
}
}
}
}
}Daily
Daily air quality forecasts.
Path Parameters
locationType: stringrequired"Longitude, latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 3, maximum 4)
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, cs, da, de, el, en, et, es, fa, fi, fr, hi, hr, hu, id, is, it, ja, ko, lt, lv, nl, no, pl, pt, ro, ru, sk, sr, sv, ta, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
/api/v1/air-quality/forecast/daily/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/air-quality/forecast/daily/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"date": "2022-02-03",
"AQI": 111,
"pollutant": "Particulate matter <2.5um",
"pollutantPhrase": "Particulate matter <2.5 µm",
"AQI_CO": 7,
"AQI_NO2": 48,
"AQI_GO3": 71,
"AQI_SO2": 59,
"AQI_PM2P5": 111,
"AQI_PM10": 66
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"date": {
"type": "string",
"example": "2022-02-03",
"description": "ISO 8601 date"
},
"AQI": {
"type": "number",
"example": 111,
"description": "General AQI: lower is better"
},
"pollutant": {
"type": "string",
"example": "Particulate matter <2.5um",
"description": "Most significant pollution type (\"Carbon monoxide\", \"Nitrogen dioxide\", \"Ozone\", \"Particulate matter <10um\", \"Particulate matter <2.5um\", \"Sulphur dioxide\")"
},
"pollutantPhrase": {
"type": "string",
"example": "Particulate matter <2.5 µm",
"description": "Description of most significant pollution type in given language (e.g. \"Carbon monoxide\", \"Nitrogen dioxide\", \"Ozone\", \"Particulate matter <10 μm\", \"Particulate matter <2.5 μm\" or \"Sulphur dioxide\")"
},
"AQI_CO": {
"type": "number",
"example": 7,
"description": "AQI based on carbon monoxide"
},
"AQI_NO2": {
"type": "number",
"example": 48,
"description": "AQI based on nitrogen dioxide"
},
"AQI_GO3": {
"type": "number",
"example": 71,
"description": "AQI based on ozone"
},
"AQI_SO2": {
"type": "number",
"example": 59,
"description": "AQI based on sulfur dioxide"
},
"AQI_PM2P5": {
"type": "number",
"example": 111,
"description": "AQI based on particulate matter (PM2.5)"
},
"AQI_PM10": {
"type": "number",
"example": 66,
"description": "AQI based on particulate matter (PM10)"
}
}
}
}
}
}